summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-15 23:15:54 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-15 23:45:29 +0100
commitf1b88229a9ca4e5f9a38ed92a325a8b360c0b50e (patch)
treee91cefe5031d0ed8aa60ab21fcb9651429fb0bdb
parentgames-engines/scummvm: Removed old. (diff)
downloadgentoo-f1b88229a9ca4e5f9a38ed92a325a8b360c0b50e.tar.gz
gentoo-f1b88229a9ca4e5f9a38ed92a325a8b360c0b50e.tar.bz2
gentoo-f1b88229a9ca4e5f9a38ed92a325a8b360c0b50e.zip
games-engines/residualvm: Added EXTRA_ECONF
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--games-engines/residualvm/residualvm-0.3.1-r1.ebuild6
-rw-r--r--games-engines/residualvm/residualvm-9999.ebuild6
2 files changed, 6 insertions, 6 deletions
diff --git a/games-engines/residualvm/residualvm-0.3.1-r1.ebuild b/games-engines/residualvm/residualvm-0.3.1-r1.ebuild
index c58d9fb53f7..97f1d29ed54 100644
--- a/games-engines/residualvm/residualvm-0.3.1-r1.ebuild
+++ b/games-engines/residualvm/residualvm-0.3.1-r1.ebuild
@@ -58,9 +58,10 @@ src_configure() {
--enable-all-engines
--enable-release-mode
--enable-zlib
+ --host="${CHOST}"
--prefix="${EPREFIX}/usr"
)
- ./configure "${myconf[@]}" || die "configure failed"
+ ./configure "${myconf[@]}" "${EXTRA_ECONF}" || die
}
src_compile() {
@@ -71,8 +72,7 @@ src_compile() {
}
src_install() {
- emake DESTDIR="${D}" install
-
+ default
doicon -s 256 icons/${PN}.png
}
diff --git a/games-engines/residualvm/residualvm-9999.ebuild b/games-engines/residualvm/residualvm-9999.ebuild
index d263427ea17..ded84a46d1d 100644
--- a/games-engines/residualvm/residualvm-9999.ebuild
+++ b/games-engines/residualvm/residualvm-9999.ebuild
@@ -54,9 +54,10 @@ src_configure() {
--enable-all-engines
--enable-release-mode
--enable-zlib
+ --host="${CHOST}"
--prefix="${EPREFIX}/usr"
)
- ./configure "${myconf[@]}" || die "configure failed"
+ ./configure "${myconf[@]}" "${EXTRA_ECONF}" || die
}
src_compile() {
@@ -67,8 +68,7 @@ src_compile() {
}
src_install() {
- emake DESTDIR="${D}" install
-
+ default
doicon -s 256 icons/${PN}.png
}